<?php


namespace Schaffen\Core\Form\Managers;


use Freelabois\LaravelQuickstart\Extendables\ManipulationManager;
use Schaffen\Core\Form\Models\Field;
use Schaffen\Core\Form\Repositories\FieldRepository;

class FieldManager extends ManipulationManager
{
    public function __construct(FieldRepository $repository)
    {
        parent::__construct($repository);
    }


    public function storeOrUpdate($values, int $id = null, $relations = [])
    {
        if ($id !== null) {
            if (!in_array($values['cam_tipo'], Field::$multiples_options_fields, true)) {
                $values['cam_opcoes'] = null;
            }
        }
        return parent::storeOrUpdate($values, $id, $relations);
    }
}
